# PetscSetHelpVersionFunctions

Sets functions that print help and version information before the PETSc help and version information is printed. Must call BEFORE PetscInitialize(). This routine enables a "higher-level" package that uses PETSc to print its messages first.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscSetHelpVersionFunctions(PetscErrorCode (*help)(MPI_Comm),PetscErrorCode (*version)(MPI_Comm))

### Input Parameter

| help | - the help function (may be PETSC_NULL)
| version | - the version function (may be PETSc null)

Level:developer
Location: src/sys/objects/init.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages